Package org.apache.storm.flux

## Class FluxBuilder

- java.lang.Object
- - org.apache.storm.flux.FluxBuilder

-     public class FluxBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FluxBuilder()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Config` | `buildConfig​(TopologyDef topologyDef)` | Given a topology definition, return a populated `org.apache.storm.Config` instance.
    `static StormTopology` | `buildTopology​(ExecutionContext context)` | Given a topology definition, return a Storm topology that can be run either locally or remotely.
    `static void` | `invokeConfigMethods​(ObjectDef bean, Object instance, ExecutionContext context)` | Invokes configuration methods on an class instance.
    `static boolean` | `isPrimitiveBoolean​(Class clazz)` |
    `static boolean` | `isPrimitiveNumber​(Class clazz)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FluxBuilder

          public FluxBuilder()

  - ### Method Detail

    - #### buildConfig

          public static Config buildConfig​(TopologyDef topologyDef)

      Given a topology definition, return a populated `org.apache.storm.Config` instance.
      Parameters:
        `topologyDef` - topology definition
      Returns:
        a Storm Config object

    - #### buildTopology

          public static StormTopology buildTopology​(ExecutionContext context)
                                             throws IllegalAccessException,
                                                    InstantiationException,
                                                    ClassNotFoundException,
                                                    NoSuchMethodException,
                                                    InvocationTargetException,
                                                    NoSuchFieldException

      Given a topology definition, return a Storm topology that can be run either locally or remotely.
      Parameters:
        `context` - execution context
      Returns:
        A runable Storm topology
      Throws:
        `IllegalAccessException` - if security policy disallows operation
        `InstantiationException` - if a class can't be instantiated
        `ClassNotFoundException` - if a class can't be found
        `NoSuchMethodException` - if a method can't be found
        `InvocationTargetException` - if method invocation fails
        `NoSuchFieldException` - if a referenced field does not exist

    - #### invokeConfigMethods

          public static void invokeConfigMethods​(ObjectDef bean,
                                                 Object instance,
                                                 ExecutionContext context)
                                          throws InvocationTargetException,
                                                 IllegalAccessException

      Invokes configuration methods on an class instance.
      Parameters:
        `bean` - the bean/component definition
        `instance` - the class instance being operated on
        `context` - execution context
      Throws:
        `InvocationTargetException` - if method invocation fails
        `IllegalAccessException` - if security policy prefents invocation

    - #### isPrimitiveNumber

          public static boolean isPrimitiveNumber​(Class clazz)

    - #### isPrimitiveBoolean

          public static boolean isPrimitiveBoolean​(Class clazz)